Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get support import

GET/workspaces/{organizationId}/support/imports/{importId}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
importIdstringrequired
Responses
200

Import status

idstringrequired
organizationIdstringrequired
sourcestringrequired
statusstringrequired
optionsobject
countsobject
cursorstring
errorstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
completedAtstring | nullrequired
404

Import not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/support/imports/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "source": "string",
  "status": "string",
  "options": {
    "property1": null,
    "property2": null
  },
  "counts": {
    "property1": 0,
    "property2": 0
  },
  "cursor": "string",
  "error": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "completedAt": "string"
}

Was this page helpful?